
.btn {
    color: #fff;
    border: none;
    outline: none;
    cursor: pointer;
    font-weight: 600;
    font-size: size-rel(16px);
    line-height: size-rel(20px);
    padding: size-rel(14px) size-rel(32px);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-block;
    vertical-align: middle;
    background: $blue-light;
    border: 1px solid $blue-light;
    border-radius: 23px;
    transition: .3s;

    svg {
        fill: #fff;
    }

    &:hover {
        color: $white;
        background: $yellow;
        border-color: $yellow;
        text-decoration: none;
        transition: .3s;

        svg {
            fill: #fff;
        }

    }

    &:active {
        background: $blue-light;
        border-color: $blue-light;
    }

    &:focus,
    &.focus {
        outline: 0;
    }
}

.btn-icon {
    height: 50px;
    border-radius: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: size-rel(6px) size-rel(32px);

    i {
        height: 30px;
        margin-right: 10px;
    }
}

.btn-sm {
    font-weight: 400;
    font-size: size-rel(10px);
    line-height: size-rel(20px);
    text-transform: uppercase;
    border-radius: 20px;
    padding: size-rel(10px) size-rel(20px) size-rel(8px) size-rel(20px);
}

.btn-xs {
    height: auto;
    font-size: size-rel(12px);
    line-height: size-rel(16px);
    border-radius: 4px;
    padding: size-rel(6px) size-rel(20px) size-rel(6px) size-rel(20px);

    i {
        height: 16px;
    }
}

.btn-md {
    padding: size-rel(17px) size-rel(32px);
    border-radius: 28px;
}

.btn-border {
    font-weight: 600;
    font-size: size-rel(14px);
    color: $blue-light;
    background: transparent;
    text-transform: inherit;

    &:hover {
        background: $blue-light;
        border-color: $blue-light;
    }
}

.btn-dark-blue {
    background: $blue;
    border-color: $blue;

    &:hover {
        background: $blue-light;
        border-color: $blue-light;
    }

    &:active {
        background: $blue;
        border-color: $blue;
    }
}

.btn-yellow {
    background: $yellow;
    border-color: $yellow;

    &:hover {
        background: $blue;
        border-color: $blue;
    }

    &:active {
        background: $blue-light;
        border-color: $blue-light;
    }
}

.btn-inner {
    display: flex;
    justify-content: flex-start;
}

.btn-link {
    display: inline;
    padding: 0;
    margin: 0;
    color: $blue;
    border: none;
    outline: none;
    cursor: pointer;
    text-decoration: none;

    &:hover {
        color: $blue-light;
        text-decoration: none;
    }
}

.btn-inline {
    margin: -5px -10px;
    display: flex;
    flex-wrap: wrap;


    &__item {
        width: 100%;
        padding: 5px 10px;
    }

    @include media-breakpoint-up(sm) {

        &__item {
            width: auto;
        }
    }
}

.btn-text {
    color: #007bff;
    font-weight: 600;
    padding: size-rel(6px) 0;
    font-size: size-rel(18px);
    line-height: size-rel(24px);
    white-space: nowrap;
    text-decoration: none;
    display: inline-block;

    &:hover {
        color: $accent;
        text-decoration: none;
    }
}
